Bug 832586 - RuntimeError: Error running /sbin/new-kernel-pkg: Exec format error
RuntimeError: Error running /sbin/new-kernel-pkg: Exec format error
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:b8fc9b2a6d4dd3f0daa9e8ed8f9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-15 16:42 EDT by J Edwards
Modified: 2012-06-18 09:38 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-18 09:38:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb-Pr2NaN (909.23 KB, text/plain)
2012-06-15 16:42 EDT, J Edwards
no flags Details

  None (edit)
Description J Edwards 2012-06-15 16:42:42 EDT
libreport version: 2.0.10
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/loop3 --lang en_US.UTF-8
executable:     /sbin/anaconda
exnFileName:    /tmp/anaconda-tb-Pr2NaN
hashmarkername: anaconda
kernel:         3.3.4-5.fc17.x86_64
other involved packages: 
product:        Fedora
release:        Fedora release 17 (Beefy Miracle)
time:           Fri 15 Jun 2012 04:39:35 PM EDT
version:        17

anaconda-tb-Pr2NaN: Text file, 931048 bytes

description:
:The following was filed automatically by anaconda:
:anaconda 17.29 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/iutil.py", line 181, in execWithRedirect
:    raise RuntimeError, errstr
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/packages.py", line 305, in recreateInitrd
:    root = instRoot)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/livecd.py", line 330, in doPostInstall
:    packages.recreateInitrd(n, ROOT_PATH)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/backend.py", line 202, in doPostInstall
:    anaconda.backend.doPostInstall(anaconda)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 383, in dispatch
:    self.dir = self.steps[self.step].target(self.anaconda)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 247, in go_forward
:    self.dispatch()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 1201, in nextClicked
:    self.anaconda.dispatch.go_forward()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/iw/progress_gui.py", line 79, in renderCallback
:    self.intf.icw.nextClicked()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 1221, in handleRenderCallback
:    self.currentWindow.renderCallback()
:RuntimeError: Error running /sbin/new-kernel-pkg: Exec format error

environ:
:LC_NUMERIC=C
:LIBUSER_CONF=/tmp/libuser.6UntE5
:LVM_SUPPRESS_FD_WARNINGS=1
:LOGNAME=root
:USER=root
:GCONF_GLOBAL_LOCKS=1
:PATH=/sbin:/usr/sbin:/usr/sbin:/usr/bin:/sbin:/bin:/root/bin:/sbin:/usr/sbin
:PIXMAPPATH=/tmp/updates/pixmaps/:/tmp/updates/:/tmp/product/pixmaps/:/tmp/product/:pixmaps/:/usr/share/anaconda/pixmaps/:/usr/share/pixmaps/:/usr/share/anaconda/:/usr/share/python-meh/:/usr/share/icons/Fedora/48x48/apps/
:HOME=/tmp
:DISPLAY=:0
:ANACONDA_PRODUCTNAME=Fedora
:LANG=en_US.UTF-8
:TERM=dumb
:SHELL=/bin/bash
:TZ=America/New_York
:XAUTHORITY=/root/.xauth5ngtmv
:GLADEPATH=/tmp/updates/:/tmp/updates/data/ui/:ui/:/usr/share/anaconda/ui/:/usr/share/python-meh/
:SHLVL=1
:GNOME_DISABLE_CRASH_DIALOG=1
:ANACONDA_PRODUCTVERSION=17
:ANACONDA_BUGURL=https://bugzilla.redhat.com/bugzilla/
:USERHELPER_UID=1000
:ANACONDA_ISFINAL=true
:_=/sbin/anaconda
:PWD=/home/liveuser
:DESKTOP_STARTUP_ID=userhelper/Starting Install to Hard Drive/1222-0-localhost.localdomain_TIME0
Comment 1 J Edwards 2012-06-15 16:42:47 EDT
Created attachment 592232 [details]
File: anaconda-tb-Pr2NaN
Comment 2 J Edwards 2012-06-15 16:47:54 EDT
Attempted to install Fedora 17 from LiveUSB (created w. liveusb creator) with 2GB overlay.  Accepted most of the default settings (US English, New York Timezone, LVM, "use entire drive".

Note, originally, I wanted to *not* use LVM and I unchecked it and attempted to go with the default non-LVM "use entire drive" layout with 4/5 partitions.  However, this gave me a similar, if not the same error.  The non-LVM attempt error definitely contained "Exec format error".

Either way (LVM or non-LVM) I get this error and the installer closes and the system reboots.
Comment 3 Chris Lumens 2012-06-18 09:38:50 EDT
Your installation media is corrupted.  You can tell from the huge number of squashfs errors and I/O errors in your syslog.  Please verify your media and try again.  You may need to re-download.

Note You need to log in before you can comment on or make changes to this bug.